{
  "schema_version": "1.4.0",
  "id": "GHSA-mhcr-j4x3-h5xc",
  "modified": "2022-05-01T18:41:12Z",
  "published": "2022-05-01T18:41:12Z",
  "aliases": [
    "CVE-2007-6261"
  ],
  "details": "Integer overflow in the load_threadstack function in the Mach-O loader (mach_loader.c) in the xnu kernel in Apple Mac OS X 10.4 through 10.5.1 allows local users to cause a denial of service (infinite loop) via a crafted Mach-O binary.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-6261"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/38854"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27884"
    },
    {
      "type": "WEB",
      "url": "http://www.digit-labs.org/files/exploits/xnu-macho-dos.c"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/26700"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4095"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-12-06T02:46:00Z"
  }
}